Skip to main content
PATCH
/
api
/
public
/
v1
/
requests
/
{request_id}
Update Request Jsonapi
curl --request PATCH \
  --url https://api.example.com/api/public/v1/requests/{request_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>",
    "id": "<string>",
    "attributes": {
      "status": "PENDING",
      "note_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "attributes": {
      "request_id": "<string>",
      "requested_by": "<string>",
      "status": "PENDING",
      "note_id": "<string>",
      "community_server_id": "<string>",
      "requested_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "content": "<string>",
      "platform_message_id": "<string>",
      "platform_channel_id": "<string>",
      "metadata": {},
      "similarity_score": 123,
      "dataset_name": "<string>",
      "dataset_item_id": "<string>"
    },
    "type": "requests"
  },
  "jsonapi": {
    "version": "1.1"
  },
  "links": {
    "self_": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next_": "<string>",
    "describedby": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

request_id
string<uuid>
required

Body

application/json

JSON:API request body for updating a request.

data
RequestUpdateData · object
required

JSON:API data object for request update.

Response

Successful Response

JSON:API response for a single request resource.

data
RequestResource · object
required

JSON:API resource object for a request.

jsonapi
Jsonapi · object

JSON:API links object for pagination and resource links.

Uses field aliases for 'self' and 'next' which are Python reserved words. Always use by_alias=True when serializing. Includes JSON:API 1.1 'describedby' link for API documentation.